Package org.linphone.core

# Interface DigestAuthenticationPolicy

public interface DigestAuthenticationPolicy
The LinphoneDigestAuthenticationPolicy holds parameters relative to digest
authentication procedures.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAllowMd5()`
Get whether MD5 hash algorithm is allowed.
`boolean`
`getAllowNoQop()`
Get whether digest authentication without 'qop=auth' mode is allowed.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setAllowMd5(boolean value)`
Set whether MD5 hash algorithm is allowed.
`void`
`setAllowNoQop(boolean value)`
Set whether digest authentication without 'qop=auth' mode is allowed.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getAllowMd5

boolean getAllowMd5()
Get whether MD5 hash algorithm is allowed.
The default value is true, in order to maximize interoperability. MD5 is
considered as a weak algorithm, some might want to disable it, in which case
SHA-256 will be required to perform digest authentication.

Returns:
  a boolean value

### setAllowMd5

void setAllowMd5(boolean value)
Set whether MD5 hash algorithm is allowed.
The default value is true, in order to maximize interoperability. MD5 is
considered as a weak algorithm, some might want to disable it, in which case
SHA-256 will be required to perform digest authentication.

Parameters:
  `value` - a boolean value.

### getAllowNoQop

boolean getAllowNoQop()
Get whether digest authentication without 'qop=auth' mode is allowed.
The default value is true, in order to maximize interoperability. 'qop=auth'
mode enforces security thanks to the use of a client nonce, which makes
password brute forcing more difficult. When set to false, linphone will refuse
to authenticate to servers that are not implementing the qop=auth mode.

Returns:
  a boolean value

### setAllowNoQop

void setAllowNoQop(boolean value)
Set whether digest authentication without 'qop=auth' mode is allowed.
The default value is true, in order to maximize interoperability. 'qop=auth'
mode enforces security thanks to the use of a client nonce, which makes
password brute forcing more difficult. When set to false, linphone will refuse
to authenticate to servers that are not implementing the qop=auth mode.

Parameters:
  `value` - a boolean value.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`